- Advertisement -

Most of Native Instruments products now work with macOS 10.15 Catalina. Click below to make sure yours are supported before updating (a few of our legacy products won’t work with Catalina). After having conducted systematic tests, Native Instruments confirms full macOS Catalina compatibility with the latest versions of all current products*.

IMPORTANT NOTE: macOS 10.15 terminates the operability of some NI legacy hardware. This includes MASCHINE MK1, AUDIO 2 / 4 / 8 DJ and TRAKTOR S4 / X1 MK1.

Further Notes

ProductCompatible with macOS 10.15
All Current Products*YES
KONTAKT 5YES
TRAKTOR PRO 2NO
TRAKTOR Z2*NO

* The Z2 is not compatible with initial macOS 10.15.0, but potentially compatible with future updates. We have filed a report with Apple.

- Advertisement -

After updating your operating system, make sure to update your Native products via Native Access. 

- Advertisement -